function axes_ButtonDownFcn(hObject,~,~)
browserObj = get(get(get(hObject,'parent'),'parent'),'userData');
if isempty(browserObj)
    browserObj = get(get(hObject,'parent'),'userData');
end

cursorX = get(browserObj.cursorHandle.eventCursor, 'XData');
if cursorX < 0
    cursorX = 0;
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% determine error margin %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
xMaxError = max(get(browserObj.axesHandle, 'XLim') * browserObj.markerSelectErrorMarginRate * 1/100);

switch get(browserObj.figureHandle, 'selectiontype')
%%%%%%%%%%%%%%%%%%%%%%
%%% if left click %%%
%%%%%%%%%%%%%%%%%%%%%%
    case 'normal'
        %- insert event
        latestChannel = get(browserObj.sliderHandle,'userdata');
        userdata = get(browserObj.axesHandle,'userdata');
        userdata = [userdata latestChannel];
        set(browserObj.axesHandle,'userdata',userdata);

        if ismac
            [~,uuid] = system('uuidgen');
        else
            uuid = java.util.UUID.randomUUID;
        end
        
        uuid = char(uuid);
        latency = cursorX;
        [~,latency] = min(abs(browserObj.streamHandle.timeStamp-latency));
        type = [browserObj.newEventType '_' uuid '_' num2str(latestChannel)];

        browserObj.streamHandle.event = browserObj.streamHandle.event.addEvent(latency,type);
        %-
        voltage = get(browserObj.gObjHandle(latestChannel),'ydata');
        time = get(browserObj.gObjHandle(latestChannel),'xdata');
        [~,loc] = min(abs(time - cursorX));

        lineColor = get(browserObj.gObjHandle(latestChannel),'Color');

        hold(browserObj.axesHandle,'on');
        browserObj.eventMarker(end+1) = browserObj.plotEventMarker(time(loc),voltage(loc),type, lineColor, latestChannel);
        hold(browserObj.axesHandle,'off');
        
%%%%%%%%%%%%%%%%%%%%%%
%%% if right click %%%
%%%%%%%%%%%%%%%%%%%%%%
    case 'alt' % left mouse button click
    
        latestChannel = get(browserObj.sliderHandle,'userdata');
        dobj = findobj(browserObj.figureHandle,'tag',['diamond_ch' num2str(latestChannel)]);
        if ~isempty(dobj)
            if iscell(get(dobj,'XData'))
                xDistance = abs(cell2mat(get(dobj,'XData')) - cursorX);
            else
                xDistance = abs(get(dobj,'XData') - cursorX);
            end

            xError    = min(xDistance);
            if xError <= xMaxError
                [~,dobjIndex] = min(xDistance);
                type = get(dobj(dobjIndex),'userdata');
                delete(dobj(dobjIndex));
                browserObj.streamHandle.event = browserObj.streamHandle.event.deleteAllEventsWithThisLabel(type);   
                disp(['Event deleted: Distance to the closest marker ' num2str(xError) ' < error margin ' num2str(xMaxError)])
            else
                disp(['Event not deleted: Distance to the closest marker ' num2str(xError) ' > error margin ' num2str(xMaxError)])
            end
        else
            disp(['No event marker found in ch' num2str(latestChannel)])
        end
end
end