function onMouseMoveCallBack(hObject,~,~)
browserObj = get(hObject,'userData');
pos = get(browserObj.axesHandle, 'CurrentPoint');

x_lims = get(browserObj.axesHandle, 'XLim');
y_lims = get(browserObj.axesHandle, 'YLim');

x = pos(1,1);   % x position of mouse location
y = y_lims(2) - pos(1,2);    % y position of mouse location

if x >= x_lims(1) && x <= x_lims(2)  && y >= y_lims(1) && y <= y_lims(2)
    
    channels = 1:length(browserObj.channelIndex);
    nch = length(channels);
    [~,loc] = min(abs(channels -  y/(y_lims(2)/nch)));
    cursor_y = browserObj.channelIndex(channels(loc));
    [~,t] = min(abs(browserObj.streamHandle.timeStamp - x));
    val = browserObj.streamHandle.mmfObj.Data.x(t,cursor_y);
    yData = get((browserObj.gObjHandle(cursor_y)),'ydata');
    xData = get((browserObj.gObjHandle(cursor_y)),'xdata');
    [~,loc] = min(abs(xData - x));
    pointOnChannel = yData(loc);
    
    set(browserObj.sliderHandle,'userdata',cursor_y);
    
    try delete(browserObj.cursorHandle.eventCursor);end %#ok
    hold(browserObj.axesHandle,'on');
 
    browserObj.cursorHandle.eventCursor = plot(x, pointOnChannel, browserObj.cursorType, 'linewidth', browserObj.cursorLineWidth, 'MarkerSize', browserObj.cursorSize, 'MarkerEdgeColor', get(browserObj.gObjHandle(cursor_y),'Color'));
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%% HitTest off to make non-targeted objects unclickable %%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    set(browserObj.cursorHandle.eventCursor,'HitTest','off');
    set(browserObj.gObjHandle,{'LineWidth'},{0.5}, {'HitTest'}, {'off'});
    set(browserObj.gObjHandle(cursor_y),'LineWidth',3,'HitTest','off');
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%% Make the entire axis clickable %%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
    set(browserObj.axesHandle,'ButtonDownFcn',@axes_ButtonDownFcn);
    hold(browserObj.axesHandle,'off');
end
end