% pac_pop_invertPolarity(): invert EEG polarity for clinical convention

% Author: Makoto Miyakoshi, JSPS/SCCN,INC,UCSD
% History
% 03/22/2013 ver 1.0 by Makoto. Created.

% Copyright (C) 2013, Makoto Miyakoshi JSPS/SCCN,INC,UCSD
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation; either version 2 of the License, or
% (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

function EEG = pac_pop_invertPolarity(EEG)

if ~isfield(EEG.pac, 'polarityInverse')
    EEG.pac.polarityInverse = 0;
end

initialState = EEG.pac.polarityInverse;

userInput = inputgui('title', 'pac_pop_invertPolarity', 'geom', ...
   {{2 1 [0 1] [1 1]} {2 1 [1 1] [1 1]}}, ... 
'uilist',...
   {{'style' 'text' 'string' 'Invert polarity? [yes-->check]'} {'style' 'checkbox' 'value' EEG.pac.polarityInverse}});

if isempty(userInput)
    return
end

if initialState ~= userInput{1,1}
    EEG.pac.polarityInverse = userInput{1,1};
    EEG.data = EEG.data*-1;
    EEG = pop_editset(EEG, 'setname', [EEG.setname ' polInv']);
    disp('EEG polarity inverted.')
end

return